Subject: Re: [PATCH v2] net: ethernet: mtk_eth_soc: avoid writing to ESW registers on MT7628

From: Simon Horman <[email-masked]>
Date: Thu, 8 Jan 2026 15:04:57 +0000

On Tue, Jan 06, 2026 at 07:18:28AM +0200, Joris Vaisvila wrote:
> The MT7628 does not expose MAC control registers. Writes to these
> registers corrupt the ESW VLAN configuration. Existing drivers
> never use the affected features, so this went unnoticed.
> 
> This patch skips MCR register reads and writes on MT7628, preventing
> invalid register access.
> 
> Fixes: 296c9120752b ("net: ethernet: mediatek: Add MT7628/88 SoC support")
> Signed-off-by: Joris Vaisvila <[email-masked]>
> ---
> v2:
> - Add missing Fixes tag

Hi Joris,

While I think a minimal patch along these lines is appropriate as a bug
fix. I am wondering if, as a follow-up, consideration could be given to
registering alternate phy ops for MT7628. This would push the conditional
handling to probe rather than calback execution time. And I suspect it
would lead to a cleaner implementation.